org.jboss.jca.as.tracer

## Enum TraceEventStatus

- java.lang.Object
- - java.lang.Enum<TraceEventStatus>
  - - org.jboss.jca.as.tracer.TraceEventStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TraceEventStatus>

      public enum TraceEventStatus
      extends java.lang.Enum<TraceEventStatus>

  Trace event status

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GREEN` Green
    `RED` Red
    `YELLOW` Yellow

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColor()` Get the color
    `java.lang.String` | `getDescription()` Get the description
    `static TraceEventStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TraceEventStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GREEN

          public static final TraceEventStatus GREEN

      Green

    - #### YELLOW

          public static final TraceEventStatus YELLOW

      Yellow

    - #### RED

          public static final TraceEventStatus RED

      Red

  - ### Method Detail

    - #### values

          public static TraceEventStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TraceEventStatus c : TraceEventStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TraceEventStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      Get the description
      Returns:
        The value

    - #### getColor

          public java.lang.String getColor()

      Get the color
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)